MsWrdParserInternal::Object Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
MsWrdParserInternal::Object Struct Reference

Internal: the object of MsWrdParser. More...

## Public Member Functions
| Object ()
MsWrdEntry | getEntry () const

## Public Attributes
long | m_textPos
| the text position More...
MWAWEntry | m_pos
| the object entry More...
std::string | m_name
| the object name More...
int | m_id
| the id More...
int | m_ids [2]
| some others id? More...
int | m_idsFlag [2]
| some flags link to m_ids More...
int | m_flags [2]
| some flags More...
std::string | m_extra
| some extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, Object const &obj)
| operator<< More...

## Detailed Description

Internal: the object of MsWrdParser.

## Constructor & Destructor Documentation

MsWrdParserInternal::Object::Object | ( |  | ) |
| inline

## Member Function Documentation

MsWrdEntry MsWrdParserInternal::Object::getEntry | ( |  | ) | const
| inline

Referenced by MsWrdParser::readObject().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Object const & | obj
| ) |  |
| friend

operator<<

## Member Data Documentation

std::string MsWrdParserInternal::Object::m_extra

some extra data

int MsWrdParserInternal::Object::m_flags[2]

some flags

Referenced by Object(), and MsWrdParserInternal::Picture::Zone::Zone().

int MsWrdParserInternal::Object::m_id

the id

Referenced by getEntry(), MsWrdParserInternal::SubDocument::operator!=(), MsWrdParserInternal::SubDocument::parse(), and MsWrdParser::readObject().

int MsWrdParserInternal::Object::m_ids[2]

some others id?

Referenced by Object().

int MsWrdParserInternal::Object::m_idsFlag[2]

some flags link to m_ids

Referenced by Object().

std::string MsWrdParserInternal::Object::m_name

the object name

MWAWEntry MsWrdParserInternal::Object::m_pos

the object entry

Referenced by getEntry(), and MsWrdParser::readObject().

long MsWrdParserInternal::Object::m_textPos

the text position

Referenced by MsWrdParser::readObjectList().

The documentation for this struct was generated from the following file:

- MsWrdParser.cxx